# -*- coding: utf-8 -*-
"""
Exo 1 du Chapitre de presentation du module tkinter
Exécuter le script en mode interactif 
(vérifier que votre commande appelée python3 
est définie par python3 -i  "%f")
Insérer les nouvelles instructions dans la console au fil des étapes
"""
from tkinter import*


#etape 1 : mise en place des widgets fenetre et canvas et des items dans le canvas
fen = Tk() #fenetre racine
c = Canvas(fen,width=300,height=400) #canevas
c.pack(side=LEFT) #placement du canevas
c['bg'] = 'green' #changement de la couleur de fonds
r = c.create_rectangle(50,50,200,200,fill='blue',outline='red') #un rectangle
c.create_oval(100,250,250,300,fill='#E74BC8') #un ovale


#etape 2 : accès aux items et à leurs  propriétés 
"""
c.find_all() #tuple avec les items créés
c.itemconfig(r,fill='#EA9927') #modification d'une option d'item
c.itemcget(r,'fill') #accès à une option d'item
c.itemconfig(2,fill='#9A9FA3')
c.itemconfig(r,state=HIDDEN) #rendre un item invisible
c.itemconfig(r,state=NORMAL)
c.coords(r,100,100,250,250) #modifier les coordonnées d'un item
"""

#Etape 3 : detruire un item 
"""
c.delete(r) #détruire un item
c.delete(2)
"""

#Etape 4 : Insertion d'une image
"""
img = PhotoImage(file='coccinelle.gif') #référence à un fichier image
c.create_image(50,50,image=img,anchor='nw')
"""

#fen.mainloop()
