# -*- coding: utf-8 -*-
"""Simulation de dé à 6 faces avec Tkinter"""

from tkinter import*
import random

#définition des fonctions commandées par les boutons
def lancerde():
    res['text']= res['text'][:-1]+str(random.randint(1,6))

#création du widget maitre (fenetre racine)
fen = Tk()
#création d'un titre
fen.title('Lancer de dé')
#Changement de la couleur de fonds
fen['background'] = '#86AF13'
#autoriser ou non que la fenetre racine soit redimensionnée
fen.resizable(width=False,height=False)

#création de widgets esclaves
#widget Button pour lancer le dé
lancer = Button(fen,text='Lancer',fg='red',bg='#B5EDF0',command=lancerde)
lancerde.grid(row=1,column=2,padx=10)

#widget Button pour quitter
quitter = Button(fen,text='Quitter',command=fen.quit)
quitter.grid(row=2,column=2,padx=10)

#widget Label pour afficher le résultat
res = Label(fen,font=('Times',16,'bold'),text='Résultat :  ')
res.grid(row=3,column=2,padx=10)

#Widget Canvas qui contiendra  une image
fond = Canvas(fen,width=320,height=240)
img = PhotoImage(file='images/de.gif')
fond.create_image(0,0,image=img,anchor='nw')
fond.grid(row=1,column=1,rowspan=3,padx=10,pady=10)

#lancement du réceptionnaire d'événements
fen.mainloop()
#lorsqu'on sort de la boucle du réceptionnaire d'événement
#on détruit la fenetre
fen.destroy()




