# -*- coding: utf-8 -*-

"""Simulation de dé à 6 faces avec Tkinter
Structure des noms de variable :
Pour les widgets esclaves :
première lettre du widget parent+première lettre de la classe de widget+_+nom
Pour les images :
img_nom
Pour les variables de controle :

"""


from tkinter import*
import random

def lancer():
    rl_res['text']= rl_res['text'][:-1]+str(random.randint(1,6))
    
    

#création du widget maitre (fenetre racine)
racine = Tk()
#création d'un titre
racine.title('Lancer de dé')


#création de widgets esclaves

#widget Button pour lancer le dé
rb_lancer = Button(racine,text='Lancer',fg='red',bg='#B5EDF0',command=lancer)
rb_lancer.pack(side='right',padx=10)

#widget Button pour quitter
rb_quitter = Button(racine,text='Quitter',command=racine.quit)
rb_quitter.pack(side='right',padx=10)

#widget Label pour afficher le résultat
rl_res = Label(racine,font=('Times',16,'bold'),text='Résultat :  ')
rl_res.pack(side='right',padx=10)


#Widget Canvas qui contiendra  une image
rc_fond = Canvas(racine)
img_de = PhotoImage(file='images/de.gif')
rc_fond.create_image(0,0,image=img_de,anchor='nw')
rc_fond.pack(side='left')


#lancement du gestionnaire d'événements
racine.mainloop()

racine.destroy()




