# -*- coding: utf-8 -*-

from tkinter import*

#fonctions délenchées par les événements ou les actions
def clear():
    """efface le canevas"""
    fond.delete(ALL)

def damier():
    """dessine le damier
    lignes numérotées de 0 à nblines-1
    et colonnes numérotées de 0 à nbcols-1"""
    for line in range(nblines):
        for col in range(nbcols):
            #lorsque les numéros de lignes et de colonnes ont meme parité
            #nblines%2==nbcols%2 est vri et vaut 1, la couleur est couleur[1]='blue'
            #sinon le test est faux, la couleur est couleur[0]='red'
            #attention les lignes correspondent aux ordonnées
            #et les colonnes aux abscisses
            print(line*cote,col*cote,line*cote+cote,col*cote+cote)
            fond.create_rectangle(col*cote,line*cote,col*cote+cote,line*cote+cote,fill=couleur[line%2==col%2])  

#variables globales
couleur = ['red','blue']
nblines = 5
nbcols = 7
cote = 50       
#mise en place de l'interface graphique
#fenetre racine
fen = Tk()
fen.title('Damier %sx%s avec des carrés de coté %s pixels'%(nbcols,nblines,cote))
#widget Canvas, fond pour dessiner le damier
fond = Canvas(fen,width=nbcols*cote,height=nblines*cote,bg='white')
fond.grid(row=1,column=1,rowspan=3,padx=10,pady=10)
#widget Button pour effacer le damier
effacer = Button(fen,text='Effacer',command=clear)
effacer.grid(row=1,column=2,padx=10,pady=10)
#widget Button pour créer le damier
effacer = Button(fen,text='Créer',command=damier)
effacer.grid(row=2,column=2,padx=10,pady=10)
#widget Button pour quitter l'application
effacer = Button(fen,text='Quitter',command=fen.quit)
effacer.grid(row=3,column=2,padx=10,pady=10)
#lancement du réceptionnaire d'évenements
fen.mainloop()



